Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	A program for synchronizing files over a network.
Name:		rsync
Version:	3.0.3
Release:	1
License:	GPLv3+
URL:		http://rsync.samba.org
Group:		Development/Tools
Source0:	ftp://rsync.samba.org/pub/rsync/rsync-%{version}.tar.gz
Source2: 	rsync.xinetd
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	popt
BuildRequires:	popt

%description
Rsync uses a reliable algorithm to bring remote and host files into
sync very quickly. Rsync is fast because it just sends the differences
in the files over the network instead of sending the complete
files. Rsync is often used as a very powerful mirroring process or
just as a more capable replacement for the rcp command. A technical
report which describes the rsync algorithm is included in this
package.

%prep
%setup -q

%build
%configure
make proto
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/xinetd.d/rsync

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README tech_report.tex
%config(noreplace) /etc/xinetd.d/rsync
%{_prefix}/bin/rsync
%{_mandir}/man1/rsync.1*
%{_mandir}/man5/rsyncd.conf.5*

%changelog
* Thu Jul 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.3-1
- Version update
* Fri Apr 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.2-1
- Version update
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 3.0.0-2
- rebuild, group correction to Development/Tools,
* Wed Mar 05 2008 Christian Metzen <metzench@ccux-linux.de> 3.0.0-1
- Version update
* Sun Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.6.9-1
- Version update
* Sun Nov 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.6.8-1
- Initial Release
